curl -X POST https://qa-payments.mygigsters.com.au/api/v1/customer \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": true
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": true
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/customer",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
},
json={
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": True,
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": true
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": true
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"first_name\": \"Jane\",",
" \"last_name\": \"Smith\",",
" \"abn\": \"12345678910\",",
" \"address\": \"123 Melbourne, NSW\",",
" \"email\": \"jane.smith@example.com\",",
" \"phone\": \"9888888888\",",
" \"type\": 1,",
" \"gst_registered\": true",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": true
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/customer", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/customer");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""first_name"": ""Jane"",
""last_name"": ""Smith"",
""abn"": ""12345678910"",
""address"": ""123 Melbourne, NSW"",
""email"": ""jane.smith@example.com"",
""phone"": ""9888888888"",
""type"": 1,
""gst_registered"": true
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 201,
"message": "Customer created successfully",
"my_gigster_id": "3e36d8a3-e013-4b0d-a72d-9b03c4ccb02e",
"customer_id": "cus_hkdm99dbsh9iactpfvh",
"save_card": "https://app-qa-payments.mygigsters.com.au/save-card/cus_hkdm99dbsh9iactpfvh/f2c1d9d2-c50d-460e-9e07-a1c58fa025f7"
}
Customers
Create customer
This endpoint allows you to create a new customer.
POST
/
customer
curl -X POST https://qa-payments.mygigsters.com.au/api/v1/customer \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": true
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": true
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/customer",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
},
json={
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": True,
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": true
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": true
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"first_name\": \"Jane\",",
" \"last_name\": \"Smith\",",
" \"abn\": \"12345678910\",",
" \"address\": \"123 Melbourne, NSW\",",
" \"email\": \"jane.smith@example.com\",",
" \"phone\": \"9888888888\",",
" \"type\": 1,",
" \"gst_registered\": true",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": true
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/customer", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/customer");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""first_name"": ""Jane"",
""last_name"": ""Smith"",
""abn"": ""12345678910"",
""address"": ""123 Melbourne, NSW"",
""email"": ""jane.smith@example.com"",
""phone"": ""9888888888"",
""type"": 1,
""gst_registered"": true
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 201,
"message": "Customer created successfully",
"my_gigster_id": "3e36d8a3-e013-4b0d-a72d-9b03c4ccb02e",
"customer_id": "cus_hkdm99dbsh9iactpfvh",
"save_card": "https://app-qa-payments.mygigsters.com.au/save-card/cus_hkdm99dbsh9iactpfvh/f2c1d9d2-c50d-460e-9e07-a1c58fa025f7"
}
Headers
string
default:"1.2"
required
The API version to use. Supported versions are
1.1 and 1.2.Request Body Parameters
string
required
The first name of the customer.
string
required
The last name of the customer.
string
The ABN (Australian Business Number) of the customer. Must be exactly 11 digits.
string
The address of the customer.
string
required
The email address of the customer.
string
required
The phone number of the customer.
integer
The type of customer (e.g.
1 for Individual, 2 for Company). Defaults to 1 (INDIVIDUAL) if not provided.boolean
Indicates whether GST is registered for the customer.
Response Body
The response is in JSON format and contains:number
The HTTP status code of the response.
string
Success message description.
string
Internal MyGigsters unique identifier for the customer (UUID format).
string
The unique identifier of the customer (prefixed with
cus_).string
URL to capture payment consent and save card details securely.
Response Codes
| Code | Description |
|---|---|
| 201 | Customer created successfully. |
| 400 | Bad Request. Missing required parameters or invalid formatting. |
| 401 | Unauthorized. Invalid or missing credentials. |
| 409 | Conflict. A resource conflict occurred. |
| 500 | Internal Server Error. |
curl -X POST https://qa-payments.mygigsters.com.au/api/v1/customer \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": true
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": true
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/customer",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
},
json={
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": True,
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": true
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": true
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"first_name\": \"Jane\",",
" \"last_name\": \"Smith\",",
" \"abn\": \"12345678910\",",
" \"address\": \"123 Melbourne, NSW\",",
" \"email\": \"jane.smith@example.com\",",
" \"phone\": \"9888888888\",",
" \"type\": 1,",
" \"gst_registered\": true",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"first_name": "Jane",
"last_name": "Smith",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"email": "jane.smith@example.com",
"phone": "9888888888",
"type": 1,
"gst_registered": true
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/customer", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/customer");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""first_name"": ""Jane"",
""last_name"": ""Smith"",
""abn"": ""12345678910"",
""address"": ""123 Melbourne, NSW"",
""email"": ""jane.smith@example.com"",
""phone"": ""9888888888"",
""type"": 1,
""gst_registered"": true
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 201,
"message": "Customer created successfully",
"my_gigster_id": "3e36d8a3-e013-4b0d-a72d-9b03c4ccb02e",
"customer_id": "cus_hkdm99dbsh9iactpfvh",
"save_card": "https://app-qa-payments.mygigsters.com.au/save-card/cus_hkdm99dbsh9iactpfvh/f2c1d9d2-c50d-460e-9e07-a1c58fa025f7"
}
Last modified on November 10, 2026
Was this page helpful?
